// Strict Mode
"use strict";

// Imports
import jsonwebtoken from "jsonwebtoken";

// Set
function set ( data, key ) {
	return JSON.stringify(jsonwebtoken.sign({ data: data }, key, { expiresIn: "30m" }));
};

// Get
function get ( data, key ) {
	return new Promise ((resolve) => {
		jsonwebtoken.verify(JSON.parse(data), key, (error, data) => {
			if (error) resolve(false);
			resolve(data);
		});
	});
};

// Exports
module.exports = {
	set,
	get
};