// Strict Mode
"use strict";

// Imports
import bcrypt from "bcrypt";

// Hash
async function hash ( data ) {
    return bcrypt.hash(data, await bcrypt.genSalt(8));
};

// Compare Hash
async function compareHash ( data, hash ) {
    return bcrypt.compare(data, hash);
};

// Exports
module.exports = {
	hash,
	compareHash
};