// Strict Mode
"use strict";

// Imports
import authentication from "../authentication/authentication.js";
import styles from "../styles/index.module.css";
import Header from "../components/header/header.jsx";
import Title from "../components/title/title.jsx";
import Footer from "../components/footer/footer.jsx";

// Get Server Side Props
export async function getServerSideProps ( ctx ) {
    try {
        await authentication.getUser(ctx.req, ctx.res);
        return {
            props: {}
        };
    } catch {
        return {
            props: {}
        };
    }
};

// Index
export default function Index () {
    return (
        <div>
            <Header/>
            <Title title = "Home"/>
            <div className = { styles.index }>
                <h2>Shooty Arena is an online multiplayer platformer shooter! Sign in or create an account to get started.</h2>
                <h3>Currently in alpha. V0.1.0</h3>
            </div>
            <Footer/>
        </div>
    );
};